ATOF(3)

NAME
atof - convert a string to a double

SYNOPSIS
#include <stdlib.h>

double atof(const char *nptr);

DESCRIPTION
The atof() function converts the initial portion of the string pointed to by nptr to double. The behaviour is the same as

    strtod(nptr, (char **) NULL);

except that atof() does not detect errors.

RETURN VALUE
The converted value.

CONFORMING TO
SVr4, POSIX.1-2001, 4.3BSD, C89, C99.

SEE ALSO
atoi(3), atol(3), strtod(3), strtol(3), strtoul(3)